<!-- goodsFetch 产品抓取 -->
<template>
  <div>
    <el-dialog :append-to-body="true" :close-on-click-modal="false" title="产品抓取" :visible.sync="Show" width="1000px">
      <div>
        <el-form :model="formData" :rules="m_rules" ref="ruleForm" size="mini">
          <el-form-item label="url" label-width="80px" prop="name">
            <div v-for="(url , index ) in formData.url" :key="index" class="flex flex-m mb10">
               <el-input  clearable v-model="url.url" auto-complete="off"></el-input>
               <el-button :disabled="formData.url.length==1" @click="formData.url.splice(index,1)" class="ml20" type="text"><span class="m_red"> 删除</span></el-button>
            </div>
            <el-button  @click="formData.url.push({url:''})"  type="success" >添加url</el-button>
          </el-form-item>

             <el-form-item label="分类" label-width="80px" prop="category_info">
              <div>
                <el-tag class="mb5 mr5" v-for="(item,index ) in formData.category_info" @close="closeTag(item,index)" :key="item.id" closable type='warning'>
                  {{item.name}}
                </el-tag>
              </div>
              <zw-btn @click="handleChoose" class="ml5" type="primary">选择分类</zw-btn>
            </el-form-item>
            <el-form-item label="爆款" label-width="80px" prop="is_hot">
                <el-radio-group v-model="formData.is_hot" class="w200">
                  <el-radio v-for="item in locBaseData.is" :label="item.id" :key="item.id">{{item.name}}</el-radio>
                </el-radio-group>
              </el-form-item>

               <el-form-item label="推荐" label-width="80px" prop="is_recommend">
                <el-radio-group v-model="formData.is_recommend" class="w200">
                  <el-radio v-for="item in locBaseData.is" :label="item.id" :key="item.id">{{item.name}}</el-radio>
                </el-radio-group>
              </el-form-item>

               <el-form-item label="排序" label-width="80px" prop="sort">
                <zw-input type="number" v-model="formData.sort"></zw-input>
                <div class="m_red">(从大到小排序,数值越大越靠前)</div>
              </el-form-item>

          
        </el-form>
      </div>
      <div slot="footer">
        <el-button @click="Show = false">关 闭</el-button>
        <el-button type="primary" :loading="m_tableLoading" @click="sureOption">确 定</el-button>
      </div>
    </el-dialog>

     <goodsClassTree :ids="formData.category" @saveAfter="saveAfter" v-if="goodsClassShow" :show.sync="goodsClassShow" />
  </div>
</template>

<script>
import goodsClassTree from './goodsClassTree'
export default {
  name: 'addFormDialog',
  components:{goodsClassTree},
  props: {
    value: {
      required: true,
      type: Boolean,
    },
  
  },

  computed: {
    Show: {
      get() {
        return this.value
      },
      set(v) {
        this.$emit('input', v)
      }
    }
  },
  data() {
    return {
      m_tableLoading: false,
      goodsClassShow: false,
      formData: {
        url: [{url:''}],//
        category:[],
        is_hot:'0', 
        is_recommend:'0',
        sort:'0',
        on_sale:'1',

      },

      m_rules: {
        title: { required: true, message: '请输入', trigger: 'blur' },
 
      }
    }
  },

  mounted() {
    this.init()
  },

  methods: {
    //初始化方法
    init() {

    },

       handleChoose() {
      this.goodsClassShow = true
    },

    saveAfter(info) {
      this.formData.category_info = info.map(i => { return { name: i.name, id: i.id } })
      this.formData.category = this.formData.category_info.map(i => i.id)

    },

   //编辑新增数据 点击确定
    sureOption() {
      this.$refs['ruleForm'].validate((valid) => {
        if (valid) {
          let data = this._dep(this.formData)
          data.url = data.url.map(i=>i.url).filter(i=>i)
          if(!data.url.length){
            this.m_warning('请填写url')
            return
          }
          this.m_tableLoading = true
          this.m_api.goods_fetch(data).then(res=>{
            this.m_tableLoading = false
            console.log(res)
              this.handelSetMenu()
            this.$alert(res.data.msg, '提示', {
              confirmButtonText: '确定',
              type:'warning'
   
            })
           
          }).catch(err=>{
            this.m_tableLoading = false
          })
          
        } else {
          console.log('error submit!!');
          return false;
        }
      })

    },

    handelSetMenu() {
      this.$emit('save-after')
      this.Show = false
    },
  },
  watch: {

  },
  filters: {

  }
}

</script>
<style lang='scss' scoped>
</style>